org.eclipse.incquery.viewmodel.core.util

## Class ViewModelUtil

- java.lang.Object
- - org.eclipse.incquery.viewmodel.core.util.ViewModelUtil

-     public final class ViewModelUtil
      extends java.lang.Object

  Utility class for view models.
  Author:
    Csaba Debreceni

- - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static <T extends org.eclipse.emf.ecore.EObject> T` | `create(org.eclipse.emf.ecore.EClass eClass, org.eclipse.emf.ecore.EObject eContainer, org.eclipse.emf.ecore.EReference cReference)`
    `static java.util.Collection<org.eclipse.emf.ecore.EObject>` | `delete(GenericPatternMatch match)`
    `static org.eclipse.emf.ecore.resource.ResourceSet` | `getOrCreateResourceSet(org.eclipse.emf.common.notify.Notifier baseNotifier)`
    `static org.eclipse.emf.ecore.EObject` | `target(GenericPatternMatch match)`
    `static void` | `trace(ViewModelManager manager, java.lang.String id, java.util.Set<org.eclipse.emf.ecore.EObject> targets, java.lang.Object... sources)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### create

          public static <T extends org.eclipse.emf.ecore.EObject> T create(org.eclipse.emf.ecore.EClass eClass,
                                                                           org.eclipse.emf.ecore.EObject eContainer,
                                                                           org.eclipse.emf.ecore.EReference cReference)

    - #### trace

          public static void trace(ViewModelManager manager,
                                   java.lang.String id,
                                   java.util.Set<org.eclipse.emf.ecore.EObject> targets,
                                   java.lang.Object... sources)

    - #### delete

          public static java.util.Collection<org.eclipse.emf.ecore.EObject> delete(GenericPatternMatch match)

    - #### target

          public static org.eclipse.emf.ecore.EObject target(GenericPatternMatch match)

    - #### getOrCreateResourceSet

          public static org.eclipse.emf.ecore.resource.ResourceSet getOrCreateResourceSet(org.eclipse.emf.common.notify.Notifier baseNotifier)